## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# These are unreliable, unfortunately.
%bcond_with xvfb_tests

%global srcname fsleyes-widgets

%global desc \
A collection of custom wx widgets and utilities used by FSLeyes.


Name:           python-fsleyes-widgets
Version:        0.12.2
Release:        %autorelease
Summary:        A collection of custom wx widgets and utilities used by FSLeyes

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/fsleyes-widgets
Source0:        %pypi_source

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  xorg-x11-server-Xvfb

%description
%{desc}

%package -n python3-fsleyes-widgets
Summary:        %{summary}

%description -n python3-fsleyes-widgets
%{desc}

%package doc
Summary:        %{summary}

%description doc
This package contains documentation for %{name}.

%prep
%autosetup -n fsleyes-widgets-%{version}

# remove unneeded shebangs
find . -name "*py" -exec sed -i '/#!\/usr\/bin\/env python/ d' '{}' \;

%generate_buildrequires
%pyproject_buildrequires -r requirements-dev.txt requirements.txt


%build
%pyproject_wheel

# Build documentation
PYTHONPATH=.  sphinx-build-3 doc html
# Remove build artefacts
rm -frv html/.buildinfo
rm -frv html/.doctrees


%install
%pyproject_install
%pyproject_save_files fsleyes_widgets


%check
%if %{with xvfb_tests}
# From https://git.fmrib.ox.ac.uk/fsl/fsleyes/widgets/blob/master/.ci/test_template.sh
# These tests fail, so Ive disabled them for the time being. Upstream has been e-mailed.
# set sceen size for test_widgetgrid.py
# cannot use %%pytest, xvfb doesnt like the CFLAGS etc. that it sets
xvfb-run -a -s "-screen 0 1920x1200x24" pytest-3 tests --ignore=tests/test_autotextctrl.py --ignore=tests/test_bitmapradio.py --ignore=tests/test_bitmaptoggle.py --ignore=tests/test_colourbutton.py --ignore=tests/test_floatslider.py --ignore=tests/test_notebook.py --ignore=tests/test_rangeslider.py --ignore=tests/test_texttag.py --ignore=tests/test_numberdialog.py
%endif

%files -n python3-fsleyes-widgets -f %{pyproject_files}
%license LICENSE COPYRIGHT
%doc README.rst

%files doc
%license LICENSE COPYRIGHT
%doc html

%changelog
* Fri Oct 22 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.12.2-1
- feat: update to 0.12.2

* Sat Aug 07 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.12.1-1
- feat: update to 0.12.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.11.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.11.2-2
- Rebuilt for Python 3.10

* Sun Mar 28 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.11.2-1
- enh: update to latest release

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Oct 27 2020 Tomas Hrnciar <thrnciar@redhat.com> 0.9.0-4
- Replace Python version glob with macro (needed for Python 3.10+)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.9.0-2
- Explicitly BR setuptools

* Sun Jun 07 2020 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.9.0-1
- Update to 0.9.0

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 0.8.4-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Oct 28 2019 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.8.4-1
- Update to 0.8.4

* Mon Sep 23 2019 Aniket Pradhan <aniket17133@iiitd.ac.in> 0.8.2-1
- Update to 0.8.2

* Wed Sep 11 2019 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.8.0-2
- Fix failing test

* Sat Aug 31 2019 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.8.0-1
- Update to 0.8.0

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 0.7.3-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 07 2019 Petr Viktorin <pviktori@redhat.com> 0.7.3-2
- Require sphinx_rtd_theme, which is no longer provided in Sphinx 2.0+

* Sat Feb 16 2019 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.7.3-1
- Update to latest upstream, fix FTBFS, remove py2 bits

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 08 2018 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.7.0-2
- Fix build

* Thu Nov 08 2018 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 0.7.0-1
- Initial SCM import
